PHP Manual
Prev |  | Next

# octdec

(PHP 3, PHP 4, PHP 5)

octdec -- Octal to decimal

## Description

number octdec ( string octal_string )

Returns the decimal equivalent of the octal number represented by the `octal_string` argument.

## Parameters

`octal_string`

  The octal string to convert

## Return Values

The decimal representation of `octal_string`

## ChangeLog

Version | Description
--- | ---
Since 4.1.0 | The function can now convert numbers that are too large to fit into the platforms integer type, larger values are returned as float in that case.

## Examples

Example 1. octdec() example

`<?php echo octdec('77') . "\n"; echo octdec(decoct(45)); ?>`

The above example will output:

    63
    45

## See Also

decoct()
bindec()
hexdec()
base_convert()

Prev | Home | Next
mt_srand | Up | pi